Groovy Documentation

## org.codehaus.groovy.runtime.wrappers
[Java] Class IntWrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper
          org.codehaus.groovy.runtime.wrappers.PojoWrapper
              org.codehaus.groovy.runtime.wrappers.IntWrapper

    public class IntWrapper
    extends PojoWrapper

Authors:
  John Wilson

Field Summary

Fields inherited from class PojoWrapper
delegate, wrapped

Fields inherited from class Wrapper
constrainedType

Constructor Summary
`IntWrapper(int wrapped)`

Method Summary

Methods inherited from class PojoWrapper
getDelegatedMetaClass, getProperty, getWrapped, invokeMethod, setMetaClass, setProperty, unwrap

Methods inherited from class Wrapper
getDelegatedMetaClass, getMetaClass, getType, getWrapped, unwrap

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### IntWrapper

    public IntWrapper(int wrapped)

Groovy Documentation